2 Requeriments

Maquinari

Memòria

Zabbix requereix memòria física i memòria de disc. 128 Mo de memòria física i 256 Mo d'espai lliure en disc poden ser un bon punt de partida. No obstant això, la quantitat de memòria de disc necessària, òbviament, depèn del nombre d'equips i paràmetres que es controlen. Si teniu previst mantindre un gran historial de paràmetres monitorats, hauríeu de considerar almenys uns quants gigaoctets per tindre prou espai per emmagatzemar l'historial a la base de dades. Cada procés de dimoni Zabbix requereix diverses connexions a un servidor de bases de dades. La quantitat de memòria assignada a la connexió depèn de la configuració del motor de base de dades.

Com més memòria física tingui, més ràpid s'executarà la base de dades (i, per tant, Zabbix).

CPU

Zabbix i en particular la base de dades Zabbix poden requerir recursos de CPU importants en funció del nombre de paràmetres monitorats i del motor de base de dades triat.

Altre maquinari

Calen un port sèrie i un mòdem GSM per les notificacions per SMS a Zabbix. També funcionarà un convertidor USB a sèrie.

Exemples de configuració de maquinari

La taula proporciona exemples de configuració de maquinari, assumint una plataforma Linux/BSD/Unix.

Aquests són exemples de mida i configuració de maquinari per començar. Cada instal·lació de Zabbix és única. Assegureu-vos de comparar el rendiment del vostre sistema Zabbix en un entorn de preparació o desenvolupament, de manera que pugueu entendre completament els vostres requisits abans d'implementar la instal·lació de Zabbix entorn de producció.

Mida de la instal·lació Mètriques monitorades1 Nuclis de CPU/vCPU Memòria
(Go)
Base de dades Amazon EC22
Small 1 000 2 8 MySQL Server,
Percona Server,
MariaDB Server,
PostgreSQL
m6i.large/m6g.large
Mitjana 10 000 4 16 MySQL Server,
Percona Server,
MariaDB Server,
PostgreSQL
m6i.xlarge/m6g.xlarge
Gran 100 000 16 64 MySQL Server,
Percona Server,
MariaDB Server,
PostgreSQL,
Oracle
m6i.4xlarge/m6g.4xlarge
Molt gran 1 000 000 32 96 MySQL Server,
Percona Server,
MariaDB Server,
PostgreSQL,
Oracle
m6i.8xlarge/m6g.8xlarge

1 1 mètrica = 1 element + 1 activador + 1 gràfic
2 Exemple amb instàncies EC2 de propòsit general d'Amazon, emprant l'arquitectura ARM64 o x86_64. El tipus d'instància adequat com ara Càlcul/Memòria/Emgatzematge optimitzat s'hauria de triar durant l'avaluació i prova de la instal·lació de Zabbix abans de la instal·lació a l'entorn de producció.

La configuració real depèn molt del nombre d'elements actius i les taxes d'actualització (veieu la secció mida de la base de dades d'aquesta pàgina per obtindre més informació). És molt recomanable executar la base de dades en una caixa separada per a instal·lacions grans.

Plataformes admeses

A causa dels requisits de seguretat i de la naturalesa crítica del servidor de monitoratge, UNIX és l'únic sistema operatiu capaç de proporcionar constantment el rendiment, la tolerància a errors i la resiliència necessaris. Zabbix funciona amb versions líders del mercat.

Els components Zabbix són disponibles i provats amb les plataformes següents:

Plataforma Servidor Agent Agent2
Linux x x x
IBM AIX x x -
FreeBSD x x -
NetBSD x x -
OpenBSD x x -
HP-UX x x -
Mac OS X x x -
Solaris x x -
Windows - x x

El servidor/agent Zabbix també es pot executar en altres sistemes operatius semblants a Unix. L'agent Zabbix és compatible amb totes les versions d'escriptori i servidor de Windows des d'XP (només versions de 64 bits des de Zabbix 6.2)..

Zabbix desactiva els abocaments de nucli si es compila amb xifrat i no s'inicia si el sistema no permet desactivar els abocaments de nucli.

Programari requerit

Zabbix és construït al voltant de servidors web moderns, motors de bases de dades de darrera generació i llenguatge de script PHP.

Programari extern de tercers

Els requisits obligatoris són sempre necessaris. Els requisits opcionals són necessaris per al suport de la funció específica.

Programari Estat obligatori Versions admeses Comentaris
MySQL/Percona Un dels 8.0.30-8.3.X Requerit si MySQL (o Percona) s'empra com a base de dades de fons Zabbix. És necessari el motor InnoDB.

Afegit el suport de les versions de MySQL:
8.1 des de Zabbix6.4.6;
8.2 des de Zabbix6.4.11;
- 8.3 since Zabbix 6.4.12.

Recomanem que empreu la biblioteca API C (libmysqlclient) per crear el servidor/proxy.
MariaDB 10.5.00-11.1.X Es requereix un motor InnoDB.

Recomanem emprar la biblioteca Conector MariaDB/C per crear el servidor/proxy.

S'ha afegit suport per a les versions de MariaDB:
- 10.11.X des de Zabbix 6.4.1;
- 11.0.X des de Zabbix 6.4.6.

Veieu també: Possibles bloquejos.
Oracle 19c - 21c Requerit si Oracle s'empra com a base de dades de fons Zabbix.
PostgreSQL 13.0-16.X Obligatori si s'empra PostgreSQL com a base de dades de fons de Zabbix.
Depenent de la mida de la instal·lació, pot ser que calgui augmentar la propietat de configuració de PostgreSQL work_mem (el valor predeterminat és 4Mo), de manera que la quantitat de memòria emprada per la base de dades per a una operació particular sigui suficient i l'execució de la consulta no trigui gaire temps.
TimescaleDB per a PostgreSQL 2.1.0-2.13.X Obligatori si s'empra TimescaleDB com a extensió de base de dades PostgreSQL. Assegureu-vos d'instal·lar TimescaleDB Community Edition, que admet la compressió.

Tingueu en compte que PostgreSQL 15 és compatible des de TimescaleDB 2.10.

S'ha afegit suport per a les versions de TimescaleDB:
- 2.10 des de Zabbix 6.4.1.
- 2.11 des de Zabbix 6.4.4;
- 2.12 des de Zabbix 6.4.9;
- 2.13 des de Zabbix 6.4.10.
SQLite Opcional 3.3.5-3.34.X SQLite només és compatible amb proxys Zabbix. Necessari si s'empra SQLite com a base de dades proxy Zabbix.
smartmontools 7.1 o posterior Requerit per a l'agent Zabbix 2.
who Requerit per al connector de recompte d'usuaris.
dpkg Requerit per al connector system.sw.packages.
pkgtool Requerit per al connector system.sw.packages.
rpm Requerit per al connector system.sw.packages.
pacman Requerit per al connector system.sw.packages.

Tot i que Zabbix pot treballar amb bases de dades disponibles als sistemes operatius, per obtindre la millor experiència, recomanem emprar bases de dades instal·lades des dels dipòsits oficials de desenvolupadors de bases de dades.

Interfície

L'amplada de pantalla mínima admesa per a la interfície Zabbix és de 1200 píxels.

Els requisits obligatoris són sempre necessaris. Es necessiten requisits opcionals per al suport de la funció específica.

Programari Estat obligatori Versió Comentaris
Apache Un de 2.4 o posterior
Nginx 1.20 o posterior
PHP 7.4.0 - 8.3.X Es recomana emprar PHP 8.0 posterior, doncs PHP 7.4 ja no s'admet per el fabricant.


S'ha afegit suport per les versions de PHP:
- 8.3.X des de Zabbix 6.4.11.
Extensions PHP:
gd 2.0.28 o posterior L'extensió PHP GD ha de suportar imatges PNG (--with-png-dir), imatges JPEG (--with-jpeg-dir) i FreeType 2 (--amb-freetype-dir).
Versió 2.3.0 o posteriors es poden requerir per evitar possible solapament de text als gràfics amb alguns llenguatges d'interfície.
bcmath php-bcmath (--enable-bcmath)
ctype php-ctype (--enable-ctype)
libXML 2.6.15 o posterior php-xml, si el distribuïdor el proporciona com a paquet separat.
xmlreader php-xmlreader, si el distribuïdor proporciona com a paquet separat.
xmlwriter php-xmlwriter, si el distribuïdor proporciona com a paquet separat.
session php-session, si el distribuïdor proporciona com a paquet separat.
sockets php-net-socket (--enable-sockets). Necessari per al suport d'scripts d'usuari.
mbstring php-mbstring (--enable-mbstring)
gettext php-gettext (--with-gettext). Necessari perquè les traduccions funcionin.
ldap No php-ldap. Només es requereix si s'empra l'autenticació LDAP al frontend.
openssl php-openssl. Només es requereix si s'empra l'autenticació SAML a la interfície.
mysqli Necessari si MySQL s'empra com a base de dades de fons Zabbix.
oci8 Necessari si Oracle s'empra com a base de dades de fons Zabbix.
pgsql Necessari si PostgreSQL s'empra com a base de dades de fons Zabbix.

Biblioteques d'interfície de tercers que es proporcionen amb Zabbix:

Biblioteca Estat obligatori Versió mínima Comentaris
Biblioteca JavaScript jQuery 3.6.0 Biblioteca JavaScript que simplifica el procés de desenvolupament entre navegadors.
Interfície d'usuari de jQuery 1.12.1 Un conjunt d'interaccions d'interfície d'usuari, efectes, ginys i temes construïts a sobre de jQuery.
El conjunt d'eines SAML PHP de OneLogin 4.0.0 Un conjunt d'eines PHP que afegeix suport d'autenticació SAML 2.0 per poder iniciar la sessió a Zabbix.
Component de Symfony Yaml 5.1.0 Afegeix suport per exportar i importar elements de configuració Zabbix en format YAML.

Zabbix també pot funcionar amb versions anteriors d'Apache, MySQL, Oracle i PostgreSQL.

Per a altres tipus de lletra que no siguin el DejaVu predeterminat, pot ser que sigui necessària la funció PHP imagerotate. Si no hi ha, és possible que aquests tipus de lletra es representi incorrectament quan es mostri un gràfic. Aquesta funció només és disponible si PHP es compila amb GD inclòs, cosa que no és el cas a Debian i altres distribucions.

Biblioteques de tercers que s'empren per escriure i depurar el codi frontal de Zabbix:

Biblioteca Estat obligatori Versió mínima Descripció
Composer No 2.4.1 Un gestor de paquets a nivell d'aplicació per a PHP que proporciona un format estàndard per gestionar les dependències del programari PHP i les biblioteques necessàries.
PHPUnit 8.5.29 Un marc de proves d'unitat PHP per provar la interfície Zabbix.
SASS 3.4.22 Un llenguatge de programació de preprocessador que s'interpreta i compila en fulls d'estil en cascada (CSS).

Les galetes i JavaScript han d'estar habilitats.

S'admeten les darreres versions estables de Google Chrome, Mozilla Firefox, Microsoft Edge, Apple Safari i Opera.

S'ha implementat una política del mateix origen per a IFrames, la qual cosa significa que Zabbix no es pot col·locar en marcs d'un domini diferent.

Tanmateix, les pàgines col·locades en un marc de Zabbix tindran accés a la interfície de Zabbix (mitjançant JavaScript) si la pàgina posada al marc i la interfície de Zabbix es troben al mateix domini. Una pàgina com http://secure-zabbix.com/cms/page.html, si es col·loca als taulers de control a http://secure-zabbix.com/zabbix/, tindrà accés JS complet a Zabbix.

Biblioteques de tercers que s'empren per escriure i depurar el codi frontal de Zabbix:

Biblioteca Estat obligatori Versió mínima Descripció
Composer No 2.4.1 Un gestor de paquets a nivell d'aplicació per a PHP que proporciona un format estàndard per gestionar les dependències del programari PHP i les biblioteques necessàries.
PHPUnit 8.5.29 Un marc de proves d'unitat PHP per provar la interfície Zabbix.
SASS 3.4.22 Un llenguatge de programació de preprocessador que s'interpreta i compila en fulls d'estil en cascada (CSS).
Servidor/proxy

Els requisits obligatoris són sempre necessaris. Calen requisits addicionals per al suport de la funció específica.

Requisit Estat obligatori Descripció
libpcre/libpcre2 Cal alguna de les biblioteques PCRE/PCRE2 per al suport d'Expressió regular compatible amb Perl (PCRE).
El nom pot ser diferent. depenent de la distribució GNU/Linux, per exemple 'libpcre3' o 'libpcre1'. S'admeten PCRE v8.x i PCRE2 v10.x (de Zabbix 6.0.0).
libevent Cal per a la comunicació entre processos. Versió 1.4 o superior.
libevent-pthreads Obligatori per comunicació inter-processos.
libpthread Cal per al suport de bloqueig de mutex i lectura-escriptura (podria formar part de la libc).
libresolv Cal per a la resolució de DNS (podria formar part de la libc).
libiconv Cal per a la codificació de text/conversió de format (podria formar part de la libc). Obligatori per al servidor Zabbix a Linux.
libz Cal per al suport de compressió.
libm Biblioteca de matemàtiques. Només li cal al servidor Zabbix.
libmysqlclient Un dels Cal si s'empra MySQL.
libmariadb Cal si s'empra MariaDB.
libclntsh Cal si s'empra Oracle; La versió libclntsh ha de coincidir o ser superior a la versió de la base de dades Oracle emprada.
libpq5 Cal si s'empra PostgreSQL; La versió libpq5 ha de coincidir o ser superior a la versió de la base de dades PostgreSQL emprada.
libsqlite3 Cal si s'empra Sqlite. Només cal per al proxy Zabbix.
libOpenIPMI No Cal per al suport IPMI. Necessari només per al servidor Zabbix.
libssh2 o libssh Cal per a comprovacions SSH. Versió 1.0 o superior (libssh2); 0.9.0 o superior (libssh).
libssh és compatible des de Zabbix 4.4.6.
libcurl Cal per al monitoratge web, el monitoratge de VMware, l'autenticació SMTP, web.page.* elements de l'Agent Zabbix, elements de l'agent HTTP i Elasticsearch (si s'empra). Es recomana la versió 7.28.0 o superior.
Requisits de la versió de Libcurl:
- Autenticació SMTP: versió 7.20.0 o superior
- Elasticsearch: versió 7.28.0 o superior
libxml2 Cal per al monitoratge de VMware i el preprocessat XML XPath.
net-snmp Obligatori per suport SNMP. Versió 5.3.0 o superior.
El suport de protocols de xifrat fort (AES192/AES192C, AES256/AES256C) és disponible des de la biblioteca net-snmp 5.8; amb sistemes basats en RHEL 8+ es recomanda emprar net-snmp 5.8.15 o superior.
libunixodbc Cal per al monitoratge de bases de dades.
libgnutls o libopenssl Cal quan s'empra xifrat.
Versions mínimes: libgnutls - 3.1.18, libopenssl - 1.0.1
libldap Cal per al suport LDAP.
fping Cal per a elements de ping ICMP.
Agent
Requisits previs Obligació Descripció
libpcre/libpcre2 Una de les biblioteques PCRE/PCRE2 és necessària per al suport d'expressions regular compatibles amb Perl (PCRE).
El nom pot ser difereixen segons la distribució GNU/Linux, per exemple 'libpcre3' o 'libpcre1'. S'admeten PCRE v8.x i PCRE2 v10.x (de Zabbix 6.0.0).
Cal per al monitoratge del registre. També es requereix a Windows.
libpthread Cal per al suport de blocatge de mutex i lectura-escriptura (pot ser part de libc). No cal a Windows.
libresolv Cal per a la resolució DNS (pot ser part de libc). No cal a Windows.
libiconv Cal per a la codificació de text/conversió de format a UTF-8 en elements de registre, contingut del fitxer, expressió regular del fitxer i elements de concordança de regles (pot ser part de la libc). No cal a Windows.
libgnutls o libopenssl No Cal si utilitzeu encryption.
Versions mínimes: libgnutls - 3.1.18, libopenssl - 1.0.1 <br >A Microsoft Windows, cal OpenSSL 1.1.1 o posterior.
libldap Cal si s'empra LDAP. No és compatible amb Windows.
libcurl Cal per als elements de l'agent Zabbix web.page.*. No és compatible amb Windows.
Es recomana la versió 7.28.0 o superior.
libmodbus Només cal si s'empra el monitoratge de modbus.
Versió 3.0 o superior.

A partir de la versió 5.0.3, l'agent Zabbix no funcionarà a les plataformes AIX anteriors a les versions 6.1 TL07 / AIX 7.1 TL01.

Agent 2
Requisit Estat obligatori Descripció
libpcre/libpcre2 Cal una de les biblioteques PCRE/PCRE2 per al suport d'expressió regular compatible amb Perl (PCRE).
El nom pot ser diferent. depenent de la distribució GNU/Linux, per exemple 'libpcre3' o 'libpcre1'. S'admeten PCRE v8.x i PCRE2 v10.x (de Zabbix 6.0.0).
Cal per al monitoratge del registre. També cal a Windows.
libopenssl No Cal quan s'empra el xifrat.
OpenSSL 1.0.1 o posterior és necessari a les plataformes UNIX.
La biblioteca OpenSSL ha de tindre el suport PSK activat. LibreSSL no és compatible.
Als sistemes Microsoft Windows cal OpenSSL 1.1.1 o posterior.

Biblioteques Go

Requisit Estat obligatori Versió mínima Descripció
git.zabbix.com/ap/plugin-support 1.X.X Biblioteca d'assistència pròpia de Zabbix. Principalment per a connectors.
github.com/BurntSushi/locker 0.0.0 Bloquejos de lectura/escriptura amb nom, sincronització d'accés.
github.com/chromedp/cdproto 0.0.0 Ordres, tipus i esdeveniments generats per als dominis del protocol Chrome DevTools.
github.com/chromedp/chromedp 0.6.0 Compatibilitat amb el protocol Chrome DevTools (generació d'informes).
github.com/dustin/gomemcached 0.0.0 Un conjunt d'eines de protocol binari de memcached per a go.
github.com/eclipse/paho.mqtt.golang 1.2.0 Una biblioteca per gestionar connexions MQTT.
github.com/fsnotify/fsnotify 1.4.9 Notificacions del sistema de fitxers multiplataforma per a Go.
github.com/go-ldap/ldap 3.0.3 Funcionalitat bàsica de LDAP v3 per al llenguatge de programació Go.
github.com/go-ole/go-ole 1.2.4 Implementació Win32 ole per a go.
github.com/godbus/dbus 4.1.0 Enllaços Native Go per a D-Bus.
github.com/go-sql-driver/mysql 1.5.0 Controlador MySQL.
github.com/godror/godror 0.20.1 Controlador d'Oracle DB.
github.com/mattn/go-sqlite3 2.0.3
github.com/mediocregopher/radix/v3 3.5.0 Client de Redis.
github.com/memcachier/mc/v3 3.0.1 Client de Memcached binari.
github.com/miekg/dns 1.1.43 Biblioteca DNS.
github.com/omeid/go-yarn 0.0.1 Magatzem de cadenes de claus amb un sistema de fitxers incrustable.
github.com/goburrow/modbus 0.1.0 Implementació de Modbus tolerant a errors.
golang.org/x/sys 0.0.0 Paquets Go per a interaccions de baix nivell amb el sistema operatiu.
També s'empra en suport de connectors lib. S'empra als plugins de MongoDB i PostgreSQL.
github.com/Microsoft/go-winio A Windows.
Sí, indirecte1
0.6.0 Windows named pipe implementació.
També s'empra al suport del complement lib. S'empra al connector MongoDB.
github.com/goburrow/serial Sí, indirecte1 0.1.0 Biblioteca sèrie per a Modbus.
golang.org/x/xerrors 0.0.0 Funcions per manipular errors.
gopkg.in/asn1-ber.v1 1.0.0 Biblioteca de codificació/descodificació per a ASN1 BER.
github.com/go-stack/stack No, indirecte1 1.8.0
github.com/golang/snappy 0.0.1
github.com/klauspost/compress 1.13.6
github.com/xdg-go/pbkdf2 1.0.0
github.com/xdg-go/scram 1.0.2
github.com/xdg-go/stringprep 1.0.2
github.com/youmark/pkcs8 0.0.0

1 "Indirecte" vol dir que s'empra a una de les biblioteques que fa ús de l'agent. Cal, ja que Zabbix empra la biblioteca que empra el paquet.

Veieu també dependències per a connectors carregables:

-PostgreSQL -MongoDB

Passerel·la Java

Si heu obtingut Zabbix del repositori font o d'un arxiu, les dependències necessàries ja s'inclouen a la font.

Si teniu Zabbix del paquet de la vostra distribució, el sistema de paquets ja proporciona les dependències necessàries.

En els dos casos anteriors, el programari és llest per usar-lo i no cal descarregar-lo.

Tanmateix, si voleu proporcionar les vostres versions d'aquestes dependències (per exemple, si sou preparant un paquet per a determinades distribucions de Linux), a continuació es mostra el llistat de versions de biblioteca amb les quals se sap que la passarel·la de Java pot funcionar. Zabbix també pot treballar amb altres versions d'aquestes biblioteques.

La taula següent llista els fitxers JAR que s'envien actualment amb Java Gateway al codi original:

Biblioteca Obligatori Comentaris
android-json Versió 4.3r1 o superior.
JSON (JavaScript Object Notation) és un format intercanvi de dades lleuger. Aquesta és la implementació d'Android compatible amb org.json extreta de l'SDK d'Android.
logback-classic Versió 1.2.9 o superior.
logback-core Versió 1.2.9 o superior.
slf4j-api Versió 1.7.32 o superior.

La passarel·la de Java es pot crear amb Oracle Java o OpenJDK de codi obert (versió 1.6 o posterior). Els paquets proporcionats per Zabbix es compilen mitjançant OpenJDK. La taula següent proporciona informació sobre les versions d'OpenJDK emprades per crear paquets Zabbix per distribució:

Distribució Versió OpenJDK
RHEL 8 1.8.0
RHEL 7 1.8.0
SLES 15 11.0.4
SLES 12 1.8.0
Debian 10 11.0.8
Ubuntu 20.04 11.0.8
Ubuntu 18.04 11.0.8

Nombres de port per defecte

La següent llista de ports oberts per component s'aplica a la configuració predeterminada:

Component Zabbix Nombre de port Protocol Tipus de connexió
Agent Zabbix 10050 TCP a petició
Agent Zabbix 2 10050 TCP a petició
Servidor Zabbix 10051 TCP a petició
Proxy Zabbix 10051 TCP a petició
Zabbix Java Gateway 10052 TCP a petició
Servei web Zabbix 10053 TCP a petició
Interfaz Zabbix 80 HTTP a petició
443 HTTPS a petició
Trapper Zabbix 10051 TCP a petició

Els nombres de port s'han d'obrir al tallafocs per permetre les comunicacions de Zabbix. Les connexions TCP de sortida generalment no requereixen una configuració explícita del tallafocs.

Mida de la base de dades

Les dades de configuració de Zabbix requereixen una quantitat fixa d'espai en disc i no creixen gaire.

La mida de la base de dades Zabbix depèn principalment d'aquestes variables, que defineixen la quantitat de dades històriques emmagatzemades:

  • Nombre de valors processats per segon

Aquest és el nombre mitjà de valors nous que rep el servidor Zabbix cada segon. Per exemple, si teniu 3000 elements per monitorar amb una freqüència d'actualització de 60 segons, el nombre de valors per segon es calcula com a 3000/60 = 50. Significa que s'afegeixen 50 valors nous a la base de dades de Zabbix cada segon.

  • Configuració de la neteja de l'històric

Zabbix manté els valors durant un període de temps determinat, normalment diverses setmanes o mesos. Cada valor nou requereix una certa quantitat d'espai de disc per a les dades i l'índex.

Per tant, si voleu conservar 30 dies d'historial i rebeu 50 valors per segon, el nombre total de valors serà al voltant de (30*24*3600)* 50 = 129.600 .000, o uns 130M de valors.

Depenent del motor de base de dades emprat, del tipus de valors rebuts (flotants, nombres enters, cadenes, fitxers de registre, etc.), l'espai en disc per mantindre un valor únic pot variar des de 40 octets fins a centenars d'octets. Normalment és d'uns 90 octets per valor per als elements numèrics2.

En aquest cas, vol dir que 130 M de valors requeriran 130 M * 90 octets = 10,9 Go d'espai en disc.

La mida dels valors dels elements de text/registre és impossible de predir amb exactitud, però és possible que sigui d'uns 500 octets per valor.

  • Configuració de la neteja per tendències

Zabbix manté un conjunt de valors màxim/min/mitjana/compte d'1 hora per a cada element de la taula tendències. Les dades s'empren per a gràfics de tendències i de períodes llargs. El període d'una hora no es pot personalitzar.

La base de dades Zabbix, depenent del tipus de base de dades, requereix uns 90 octets per cada total.

Suposem que voleu conservar les dades de tendències durant 5 anys. Els valors de 3.000 elements requeriran 3.000*24*365* 90 = 2,2 Go per any o 11 Go durant 5 anys.

  • Configuració de la neteja per a esdeveniments

Cada esdeveniment Zabbix requereix aproximadament 250 octets d'espai en disc1.

És difícil estimar el nombre d'esdeveniments generats per Zabbix diàriament. En el pitjor dels casos, podeu suposar que Zabbix genera un esdeveniment per segon. Per a cada esdeveniment recuperat, es crea un registre event_recovery. Normalment, la majoria dels esdeveniments es recuperaran. Per tant, podeu suposar un registre event_recovery per esdeveniment. Això significa 80 octets addicionals per esdeveniment.

Opcionalment, els esdeveniments poden tindre etiquetes, cada registre d'etiquetes requereix aproximadament 100 octets d'espai en disc1. El nombre d'etiquetes per esdeveniment (#tags) depèn de la configuració.

Per tant, cadascun necessitarà #etiquetes * 100 octets addicionals d'espai en disc.

Vol dir que si voleu mantindre 3 anys d'esdeveniments, caldria 3*365*24*3600* (250+80+#tags*100) = ~30Go+ #etiquetes*100o d'espai en disc2.

1 Més quan tens noms, etiquetes i valors d'esdeveniments que no són ASCII.
2 Les aproximacions de mida es basen en MySQL i poden ser diferents per a altres bases de dades.

La taula conté fórmules que es poden emprar per calcular l'espai de disc necessari per al sistema Zabbix:

|Paràmetre|Fórmula per a l'espai de disc necessari (en octets)| |---------|---------------------------------------- ---| |Configuració Zabbix|Mida fixa. Normalment 10 Mo o menys.| |Historial|dies*(elements/freqüència d'actualització)*24*3600*octets
elements : nombre d'elements
dies : nombre de dies per mantindre l'historial
freqüència d'actualització : actualització mitjana taxa d'elements
octets : nombre d'octets necessaris per mantindre un valor únic, depèn del motor de base de dades, normalment ~90 octets.| |Tendències|dies*(elements/3600)*24*3600*octets
elements : nombre d'elements
dies : nombre de dies per conservar l'historial
octets : nombre d'octets necessaris per mantindre una tendència única, depèn del motor de base de dades, normalment ~90 octets.| |Esdeveniments|dies*esdeveniments*24*3600*octets
esdeveniments : nombre d'esdeveniments per segon. Un (1) esdeveniment per segon en el pitjor dels casos.
dies : nombre de dies per mantindre l'historial
octets : nombre d'octets necessaris per mantindre una tendència única, depèn del motor de base de dades, normalment ~330 + mitjana nombre d'etiquetes per esdeveniment * 100 octets.|

Per tant, l'espai total de disc necessari es pot calcular com:
Configuració + Historial + Tendències + Esdeveniments
L'espai de disc NO s'emprarà immediatament després de la instal·lació de Zabbix. La mida de la base de dades creixerà i després deixarà de créixer en algun moment, cosa que depèn de la configuració de la neteja.

Sincronització de l'hora

És molt important tindre una hora del sistema precisa al servidor Zabbix en execució. ntpd és el dimoni més popular que sincronitza l'hora de l'equip amb l'hora d'altres màquines. És molt recomanable matindre l'hora del sistema sincronitzada a tots els components del sistema Zabbix en execució.

Requisits de la xarxa

La següent llista de ports oberts per component és aplicable per a la configuració predeterminada.

Port Components
Interfície http al 80, https al 443
Servidor 10051 (per emprar amb proxy/agents actius)
Proxy actiu 10051
Proxy passiu 10051
Agent2 10050
Trapper
JavaGateway 10053
WebService 10053

Els nombres de port s'han d'obrir al tallafoc per permetre les comunicacions externes amb Zabbix. Les connexions TCP sortints normalment no requereixen una configuració explícita del tallafoc.